Get Form Field
GET
/form-fields/:idRetrieve a single form field by its ID.
Request
js
import Confetti from 'confetti'
const confetti = new Confetti({ apiKey: 'your-key' })
const formField = await confetti.formFields.find(1)sh
curl "https://api.confetti.events/form-fields/1" \
-H "Authorization: apikey your-key"Response
ts
interface FormField {
id: number
name: string
title: string
description: string
field: string
order: number
status: string
sectionId: string
settings: Record<string, unknown>
}json
{
"id": 1,
"name": "email",
"title": "Email",
"description": null,
"field": "text",
"order": 1,
"status": "created",
"sectionId": null,
"settings": {
"required": true
}
}json
{
"data": {
"id": 1,
"type": "formField",
"attributes": {
"name": "email",
"title": "Email",
"description": null,
"field": "text",
"order": 1,
"status": "created",
"sectionId": null,
"settings": {
"required": true
}
}
}
}